/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
 */

#ifndef DLEMU_H
#define DLEMU_H

//--------------------------------------------------------------------------------------------------
/**
 * Maximum bytes of file path.
 */
//--------------------------------------------------------------------------------------------------
#define FILE_PATH_MAX_BYTES 256

//--------------------------------------------------------------------------------------------------
/**
 * Download session number.
 */
//--------------------------------------------------------------------------------------------------
#define DA_SESSION_NUM 1

//--------------------------------------------------------------------------------------------------
/**
 * Download session structure.
 */
//--------------------------------------------------------------------------------------------------
typedef struct
{
    char target[FILE_PATH_MAX_BYTES];
} taf_pi_da_Session;

//--------------------------------------------------------------------------------------------------
/**
 * Download action enum.
 */
//--------------------------------------------------------------------------------------------------
typedef enum
{
    DA_ACTION_START,
    DA_ACTION_PAUSE,
    DA_ACTION_RESUME,
    DA_ACTION_CANCEL
} da_Action_t;

//--------------------------------------------------------------------------------------------------
/**
 * Download command structure.
 */
//--------------------------------------------------------------------------------------------------
typedef struct
{
    da_Action_t action;
} da_Command_t;



#endif